Package com.independentsoft.office.drawing

# Class PresetGeometry

java.lang.Object
com.independentsoft.office.drawing.PresetGeometry

public class PresetGeometry extends Object
The Class PresetGeometry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PresetGeometry()`
  Instantiates a new preset geometry.
  `PresetGeometry​(ShapeType shapeType)`
  Instantiates a new preset geometry.
  `PresetGeometry​(InternalXMLStreamReader reader)`
  Instantiates a new preset geometry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PresetGeometry`
  `clone()`
  `List<ShapeGuide>`
  `getShapeGuides()`
  Gets the shape guides.
  `ShapeType`
  `getShapeType()`
  Gets the shape type.
  `void`
  `setShapeType​(ShapeType shapeType)`
  Sets the shape type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PresetGeometry

    public PresetGeometry()
    Instantiates a new preset geometry.

  - ### PresetGeometry

    public PresetGeometry​(ShapeType shapeType)
    Instantiates a new preset geometry.
    Parameters:
      `shapeType` - the shape type

  - ### PresetGeometry

    public PresetGeometry​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new preset geometry.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public PresetGeometry clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShapeType

    public ShapeType getShapeType()
    Gets the shape type.
    Returns:
      the shape type

  - ### setShapeType

    public void setShapeType​(ShapeType shapeType)
    Sets the shape type.
    Parameters:
      `shapeType` - the new shape type

  - ### getShapeGuides

    public List<ShapeGuide> getShapeGuides()
    Gets the shape guides.
    Returns:
      the shape guides